CSFML
Data Structures | Enumerations | Variables
BlendMode.h File Reference
`#include <SFML/Graphics/Export.h>`

Go to the source code of this file.

## Data Structures

struct | sfBlendMode
| Blending mode for drawing. More...

## Enumerations

enum | sfBlendFactor { sfBlendFactorZero, sfBlendFactorOne, sfBlendFactorSrcColor, sfBlendFactorOneMinusSrcColor, sfBlendFactorDstColor, sfBlendFactorOneMinusDstColor, sfBlendFactorSrcAlpha, sfBlendFactorOneMinusSrcAlpha, sfBlendFactorDstAlpha, sfBlendFactorOneMinusDstAlpha }
| Enumeration of the blending factors. More...
enum | sfBlendEquation { sfBlendEquationAdd, sfBlendEquationSubtract, sfBlendEquationReverseSubtract }
| Enumeration of the blending equations. More...

## Variables

CSFML_GRAPHICS_API const sfBlendMode | sfBlendAlpha
| Blend source and dest according to dest alpha. More...
CSFML_GRAPHICS_API const sfBlendMode | sfBlendAdd
| Add source to dest. More...
CSFML_GRAPHICS_API const sfBlendMode | sfBlendMultiply
| Multiply source and dest. More...
CSFML_GRAPHICS_API const sfBlendMode | sfBlendNone
| Overwrite dest with source. More...

## Enumeration Type Documentation

## ◆ sfBlendEquation

enum sfBlendEquation

Enumeration of the blending equations.

Enumerator
sfBlendEquationAdd | Pixel = Src * SrcFactor + Dst * DstFactor.
sfBlendEquationSubtract | Pixel = Src * SrcFactor - Dst * DstFactor.
sfBlendEquationReverseSubtract | Pixel = Dst * DstFactor - Src * SrcFactor.

Definition at line 57 of file BlendMode.h.

## ◆ sfBlendFactor

enum sfBlendFactor

Enumeration of the blending factors.

Enumerator
sfBlendFactorZero | (0, 0, 0, 0)
sfBlendFactorOne | (1, 1, 1, 1)
sfBlendFactorSrcColor | (src.r, src.g, src.b, src.a)
sfBlendFactorOneMinusSrcColor | (1, 1, 1, 1) - (src.r, src.g, src.b, src.a)
sfBlendFactorDstColor | (dst.r, dst.g, dst.b, dst.a)
sfBlendFactorOneMinusDstColor | (1, 1, 1, 1) - (dst.r, dst.g, dst.b, dst.a)
sfBlendFactorSrcAlpha | (src.a, src.a, src.a, src.a)
sfBlendFactorOneMinusSrcAlpha | (1, 1, 1, 1) - (src.a, src.a, src.a, src.a)
sfBlendFactorDstAlpha | (dst.a, dst.a, dst.a, dst.a)
sfBlendFactorOneMinusDstAlpha | (1, 1, 1, 1) - (dst.a, dst.a, dst.a, dst.a)

Definition at line 38 of file BlendMode.h.

## Variable Documentation

## ◆ sfBlendAdd

CSFML_GRAPHICS_API const sfBlendMode sfBlendAdd

Add source to dest.

Definition at line 81 of file BlendMode.h.

## ◆ sfBlendAlpha

CSFML_GRAPHICS_API const sfBlendMode sfBlendAlpha

Blend source and dest according to dest alpha.

Definition at line 80 of file BlendMode.h.

## ◆ sfBlendMultiply

CSFML_GRAPHICS_API const sfBlendMode sfBlendMultiply

Multiply source and dest.

Definition at line 82 of file BlendMode.h.

## ◆ sfBlendNone

CSFML_GRAPHICS_API const sfBlendMode sfBlendNone

Overwrite dest with source.

Definition at line 83 of file BlendMode.h.